CVE-2003-0626
CVSS5.0
发布时间 :2003-11-13 00:00:00
修订时间 :2008-09-05 16:34:49
NMCOS    

[原文]psdoccgi.exe in PeopleSoft PeopleTools 8.4 through 8.43 allows remote attackers to read arbitrary files via the (1) headername or (2) footername arguments.


[CNNVD]PeopleSoft PeopleTools psdoccgi.exe远程目录遍历漏洞(CNNVD-200311-030)

        
        PeopleSoft企业软件集成多个商务功能,包括人事、客户关系、供求关系、财务等管理。
        PeopleSoft PeopleTools包含的搜索CGI脚本对用户提交参数缺少充分过滤,远程攻击者可以利用这个漏洞进行目录遍历攻击。
        psdoccgi.exe搜索CGI应用程序用于搜索PeopleBooks在线文档,应用程序接收外部输入两个参数,headername和footername,允许用户选择页头和页脚本内容返回给请求者,由于对此参数数据缺少充分过滤,攻击者提交恶意参数可绕过WEB ROOT限制,以WEB权限在系统上查看任意文件内容。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:peoplesoft:peopletools:8.43
cpe:/a:peoplesoft:peopletools:8.13
cpe:/a:peoplesoft:peopletools:8.16
cpe:/a:peoplesoft:peopletools:8.17
cpe:/a:peoplesoft:peopletools:8.14
cpe:/a:peoplesoft:peopletools:8.19
cpe:/a:peoplesoft:peopletools:8.11
cpe:/a:peoplesoft:peopletools:8.15
cpe:/a:peoplesoft:peopletools:8.41
cpe:/a:peoplesoft:peopletools:8.4
cpe:/a:peoplesoft:peopletools:8.20
cpe:/a:peoplesoft:peopletools:8.40
cpe:/a:peoplesoft:peopletools:8.12
cpe:/a:peoplesoft:peopletools:8.18
cpe:/a:peoplesoft:peopletools:8.42
cpe:/a:peoplesoft:peopletools:8.10

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0626
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0626
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200311-030
(官方数据源) CNNVD

- 其它链接及资源

http://www.secunia.com/advisories/10225/
(VENDOR_ADVISORY)  SECUNIA  10225
http://xforce.iss.net/xforce/xfdb/13754
(VENDOR_ADVISORY)  XF  peoplesoft-searchcgi-directory-traversal(13754)
http://www.securityfocus.com/bid/9037
(VENDOR_ADVISORY)  BID  9037
http://www.auscert.org.au/render.html?it=3610
(UNKNOWN)  AUSCERT  ESB-2003.0786
http://lists.grok.org.uk/pipermail/full-disclosure/2003-November/013652.html
(VENDOR_ADVISORY)  FULLDISC  20031103 Corsaire Security Advisory: PeopleSoft PeopleBooks Search CGI multiple argument issues
http://archives.neohapsis.com/archives/vulnwatch/2003-q4/0042.html
(VENDOR_ADVISORY)  VULNWATCH  20031113 Corsaire Security Advisory: PeopleSoft PeopleBooks Search CGI multiple argument issues

- 漏洞信息

PeopleSoft PeopleTools psdoccgi.exe远程目录遍历漏洞
中危 输入验证
2003-11-13 00:00:00 2005-10-20 00:00:00
远程  
        
        PeopleSoft企业软件集成多个商务功能,包括人事、客户关系、供求关系、财务等管理。
        PeopleSoft PeopleTools包含的搜索CGI脚本对用户提交参数缺少充分过滤,远程攻击者可以利用这个漏洞进行目录遍历攻击。
        psdoccgi.exe搜索CGI应用程序用于搜索PeopleBooks在线文档,应用程序接收外部输入两个参数,headername和footername,允许用户选择页头和页脚本内容返回给请求者,由于对此参数数据缺少充分过滤,攻击者提交恶意参数可绕过WEB ROOT限制,以WEB权限在系统上查看任意文件内容。
        

- 公告与补丁

        厂商补丁:
        PeopleSoft
        ----------
        目前厂商已经发布了升级补丁以修复这个安全问题,用户可以联系供应商获得如下补丁:
        Release Patch
        8.18 8.18.15
        8.19 8.19.12
        8.20 8.20.03
        8.42 8.42.14
        8.43 8.43.11
        https://www.peoplesoft.com/corp/en/login.jsp

- 漏洞信息

58963
PeopleTools psdoccgi.exe Multiple Argument Arbitrary File Access
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality Patch / RCS
Vendor Verified

- 漏洞描述

PeopleTools contains a flaw that may allow an attacker to enter a path value into the 'headername' or 'footername' of the Search CGI application to gain unauthorized access to arbitrary files outside of the root directory on the Web server. The issue is triggered when validation errors in 'psdoccgi.exe' when handling 'headername' or 'footername' arguments.

- 时间线

2003-11-12 2003-07-01
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, PeopleSoft has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

PeopleSoft PeopleBooks psdoccgi.exe Directory Traversal Vulnerability
Input Validation Error 9037
Yes No
2003-11-13 12:00:00 2009-07-12 12:56:00
The disclosure of this issue has been credited to Martin O'Neal <martin.oneal@corsaire.com> of Corsaire Security.

- 受影响的程序版本

PeopleSoft PeopleTools 8.43
PeopleSoft PeopleTools 8.42
PeopleSoft PeopleTools 8.41
PeopleSoft PeopleTools 8.40
PeopleSoft PeopleTools 8.20
PeopleSoft PeopleTools 8.19
PeopleSoft PeopleTools 8.19
PeopleSoft PeopleTools 8.18
PeopleSoft PeopleTools 8.17
PeopleSoft PeopleTools 8.16
PeopleSoft PeopleTools 8.15
PeopleSoft PeopleTools 8.14
PeopleSoft PeopleTools 8.13
PeopleSoft PeopleTools 8.12
PeopleSoft PeopleTools 8.11
PeopleSoft PeopleTools 8.10
PeopleSoft PeopleTools 8.4
PeopleSoft PeopleTools 7.0 6

- 漏洞讨论

A vulnerability has been reported to be present in the PeopleBooks component of PeopleTools that may allow a remote attacker to traverse outside the server root directory in order to gain access to sensitive information. The problem exists due to insufficient sanitization of 'headername' and 'footername' arguments of the psdoccgi.exe CGI script used by PeopleBooks.

PeopleTools versions 8.43 and prior have been reported to be prone to this vulnerability.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

PeopleSoft has released the following patches to address this issue.

Release Patch
8.18 8.18.15
8.19 8.19.12
8.20 8.20.03
8.42 8.42.14
8.43 8.43.11

Users are advised to obtain patches from PeopleSoft Customer Connection website.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站